/* 
 * Copyright 1999 Silicon Graphics, Inc. All rights reserved.
 */
#define KSTACK_SIZE 	IA64_STK_OFFSET

#define kl_fix_vaddr(vaddr,sz) vaddr

extern kaddr_t KL_LOCORE_START;
extern kaddr_t KL_LOCORE_ADDR;
extern int KL_LOCORE_SIZE;

/** Function prototypes
 **/

int kl_init_kern_info(void);

int kl_get_struct(
	kaddr_t 	/* address */, 
	int 		/* size of struct */, 
	void *		/* ptr to buffer */, 
	char *		/* name of struct */);

void *kl_get_ra(void);
